function [throughput] = get_throughput(result_dir)

if isfile(result_dir)
    json_str = fileread(result_dir);
    throughput_train_position = strfind(json_str, 'throughput_train');
    latency_train_mean_position = strfind(json_str, 'latency_train_mean');
    throughput = str2double(json_str(throughput_train_position(end) + 19 : latency_train_mean_position(end)-4));
else
    throughput = 0;
    
end